package com.myfirm;

import java.util.ArrayList;
import java.util.List;

/**
 * test program
 */
public class ThreadTest {
	private static final int THREAD_NUMBER = 200;

	
	
	public static class CloneThread extends Thread {
		private RuleFlowProcess process;
		public int gettId() {
			return tId;
		}

		private int tId;
		
		public CloneThread(int tId) {
			this.tId = tId;
		}
		
		@Override
		public void run() {
			process = new RuleFlowProcess();
			process.init();
		}

		public RuleFlowProcess getProcess() {
			return process;
		}
	}

	public static void main(String[] args) throws InterruptedException {
		List<CloneThread> ctl = new ArrayList<CloneThread>();
		for (int i = 0; i < THREAD_NUMBER; ++i) {
			CloneThread ct = new CloneThread(i);
			ctl.add(ct);
		}
		
		for (CloneThread ct : ctl) {
			ct.start();
		}
		
		for (CloneThread ct : ctl) {
			ct.join();
			if (ct.getProcess() == null) {
				System.err.println("null at " + ct.getId());
			}
		}
	}
}
